# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

import gettext
from gettext import gettext as _
gettext.textdomain('quickly-gtk')

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('quickly_gtk')

from quickly_gtk_lib import Window
from quickly_gtk.AboutQuicklyGtkDialog import AboutQuicklyGtkDialog
from quickly_gtk.PreferencesQuicklyGtkDialog import PreferencesQuicklyGtkDialog

# See quickly_gtk_lib.Window.py for more details about how this class works
class QuicklyGtkWindow(Window):
    __gtype_name__ = "QuicklyGtkWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(QuicklyGtkWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutQuicklyGtkDialog
        self.PreferencesDialog = PreferencesQuicklyGtkDialog

        # Code for other initialization actions should be added here.

